% Statistical Lerning Toolbox
% Version 0.1 (R13) 11-Oct-2003 
% Copyright (c) Guillaume Bouchard, 2003
%
% UNSUPERVISED LEARNING
% Multidimensional distributions (densities) 
% 	gaussdens   - Create a multivariate gaussian density,
% 	diagdens    - Gaussian density with diagonal covariance matrix,
% 	balldens    - Gaussian density with spherical covariance matrix,
%   pcadens     - Gaussian density with low dimensional covariance matrix,
%   mixtdens    - Create a mixture density,
%   density     - Abstract object representing the densities.
%
% Parameter estimation
% 	learn       - Find the parameters that maximize the likelihood on training data.
%   n_params    - Return the number of parameters.
%
% Graphics
%   show	    - Draw density contours.
%
% Clustering
%   kmeanslight - The K-means algorithm (faster that KMEANS)
%
% SUPERVISED LEARNING
% Classifiers
%   lda		    - Linear Discriminant Analysis classifier.
%   svm		    - Support Vector Classifier.
%   loglin      - Linear logistic regression.
%   qda         - Quadratic discriminant analysis classifier.
%   densitycl   - Classifier based on the class conditional densities.
%   mixtdenscl  - Like densitycl but with class modelled by mixture densities.
%   mda         - Mixture Discriminant Analysis.
%
% Learning
%   learn 	    - Learn the classifier on training data.
%
% Error evaluation
%   eval_err    - Compute the error on training data.
%   eval_errCV  - Compute the cross-validated error rate.
%
% Graphics
%   show	    - Draw the classification boundary.
%
% UTILITIES
% Graphics
%   ldaplot     - Plot multidimesional data in the an informative linear subspace.
%   colplot     - Plot 2D labelled data.
%
% DEMOS
% Very simple demos   
%   mldemo      - Demo of the Maximum Likelihood estimation (EM and Conjugate Gradient) 
%   
% Simple demos with graphics
%   partialcldemo   - Classification of partially classified data
%
% Slices
%   densitydemo - Smart introduction on multidimensional distributions
%
%
