function v = bec_score(carray,x,cl)
% BEC_SCORE - Bayesian Information Criterion on a set of probabilistic models
%
% v = BEC_SCORE(carray,x,cl) where carray is a cellarray containing
% - density objects (representing a distribution)
% - densitycl objects (representing a generative classifier, 
%           i.e. a classifier based on class-conditional densities)
%
% See also DENSITYCL/BEC_SCORE DENSITY/BEC_SCORE

if nargin<3
    cl=[];
end

nc = length(carray(:));
v=zeros(1,nc);

for i=1:nc
    v(i) = bec_score(carray{i},x,cl);
end

v = reshape(v,size(carray));