function [x,y]=cell2lbl(C,dimn)
% CELL2LBL - convert cell array into labels data
%
%   [x,labels]=cell2lbl(c) return a matrix of the concatenated data of the
%   cell array (by rows). labels give the label corresponding to each row
%   [x,labels]=cell2lbl(c,dim) data are separated along the dimension dim
%
% See also LBL2CELL

if isempty(C)
  x = [];
  y=[];
  return;
end

C = C(:);
K = length(C);

if nargin<2
    nums = cellfun('size',C,1)';
    csnums = [0 cumsum(nums)];
    x = cell2mat(C);
    nc = size(x,2);
    y = ones(csnums(end),1);
    for i=2:K
        y(csnums(i)+1:csnums(i+1)) = ones(nums(i),1)*i;
    end
    return
else
        error('Not finished to implement...')
end

sz = size(C{1});
    
dimn = length(size(C{1}));
d=prod(sz(1:dimn-1));
r=sz(dimn);

y = ones(r,1);
if K>=2
    for i=2:K
        sz = size(C{i});
        cd=prod(sz(1:dimn-1));
        cr=sz(dimn);
        if cd~=d
            error('All elements in the cell array must have the same number of columns')
        end
        y = [y;i*ones(cr,1)];
        r = r + cr;
    end
end

x = reshape(cat(dimn, C{:}), [d r])';
