function v = eval_err(carray,x,cl,losstype)
% EVAL_ERR - Empirical error rate evaluation on a cell array of classifiers
%
% v = eval_err(carray,x,cl) 0-1 error rate
% v = eval_err(carray,x,cl,losstype) where carray is a cellarray containing
%   classifier objects. v is a one-row vector of error rates
%
% See also DENSITYCL/EVAL_ERR

if nargin<4
    losstype='01';
end

nc = length(carray(:));
v = zeros(1,nc);

for i=1:nc
    v(i) = eval_err(carray{i},x,cl,losstype);
end

v = reshape(v,size(carray));