function res = getdim(carray);
%GETDIM Total number of free parameters of a cell array of distributions
%
% d = GETDIM(carray)
%   c is an object of class density
%   Gives the dimensions of a set of classifiers
%
% See also DENSITY/GETDIM, CLASSIFIER/GETDIM STATLEARN

nc = length(carray(:));
res=zeros(1,nc);
for i=1:nc
    d = getdim(carray{i});
    if isempty(d)
        res(i) = 0;
    else
        res(i)=d;
    end
end

res = reshape(res,size(carray));