function res = learn_cell(carray,x,y,varargin)
%LEARN Learn the parameters of a cella array of classifier objects
%
% carray = learn(carray,x,y)
% learns all the classifiers in the cell array carray and returns them in a
% cellarray
% 
% carray = learn(carray,x,w)
% learns all the densities in the cell array carray and returns them in a
% cellarray

if nargin<3
    y=[];
end

nc = length(carray(:));
res=cell(1,nc);
if isempty(varargin)
    for i=1:nc
        res{i} = learn(carray{i},x,y);
    end
else
    for i=1:nc
        carray{i}
        res{i} = learn(carray{i},x,y,varargin);
    end
end
res = reshape(res,size(carray));