function [c,scores] = learn_and_select(carray,x,scoretype,varargin)
% LEARN_AND_SELECT - Learn multiple models and select the best
%
% c = LEARN_AND_SELECT(carray,x)
% c = LEARN_AND_SELECT(carray,x,scoretype)
% [c,scores] = LEARN_AND_SELECT(carray,x,scoretype)
%
% See also CLASSIFIER/LEARN, DENSITY/BIC_SCORE
%   STATLEARN

[n,d]=size(x);
if nargin<3
    scoretype=
end

if isstr(scoretype)
    varargin = {scoretype,varargin{:}}
    scoretype = min(n,1+ceil(1000/n));
end
    
nmod = length(carray);

if isnumeric(scoretype)
    scores = eval_errCV(carray,x,cl);
else
    for i=1:nmod
        eval(['scores(i) = ' scoretype '_score(learn(carray{i},x))']);
    end
end