function ll = loglik(carray,x,cl)
%LOGLIK Log-Likelihood of a cell array of objects
%
% ll = LOGLIK(carray,x,cl) where carray is a cellarray containing
% - density objects (representing a distribution)
% - densitycl objects (representing a generative classifier, 
%           i.e. a classifier based on class-conditional densities)
%
% See also DENSITYCL/LOGLIK DENSITY/LOGLIK

if nargin<3
    cl=[];
end

nc = length(carray(:));
ll=zeros(1,nc);

for i=1:nc
    ll(i) = loglik(carray{i},x,cl);
end

ll = reshape(ll,size(carray));