function v = value(c,x)
%LOGVALUE return the log-density on data points of a cell array of densities
%
% v = LOGVALUE(carray,x)
% carray is the cell array containing the K densities
% x is the nxd matrix of data points
% the returned value is a matrix of size n*K
%
% See also VALUE, DENSITY/LOGVALUE

n=size(x,1);
K=length(c);
v=zeros(n,K);

for i=1:K
    v(:,i) = logvalue(c{i},x);
end



