function v = value(c,x)
%VALUE return the density value on data points of a cell array of densities
%
% v = VALUE(carray,x)
% carray is the cell array containing the K densities
% x is the nxd matrix of data points
% the returned value is a matrix of size n*K
%
% See also LOGVALUE, DENSITY/VALUE

n=size(x,1);
K=length(c);
v=zeros(n,K);

for i=1:K
    v(:,i) = value(c{i},x);
end



