% LINEARCLDEMO - Linear classification demo
% LINEARCLDEMO shows some possibilities of the STATLEARN Toolbox
%
% See also 
%   - LDA, LOGLINCL, SVM
%   - STATLEARN, DEMOSSTATLEARN



%true model
g1 = gaussdens('m',[-2;0],'var',[2 .5;.5 1]);
g2 = gaussdens('m',[2;0],'var',2*eye(2));
gen=densitycl({g1,g2});
%data generation
[x,cl]=rand(gen,30);
    

%classfiers
clsf = {lda,loglin};
names = {'Linear Discriminant Analysis','linear logistic regression'};
if exist('LinearSVC','file')
    clsf = {clsf{:},svm('kernel_name','linear')};
    names={names{:},'Support Vector Classifier'};
end
    
%learn classifiers
clsf=learn(clsf,x,cl);
[h,nrows,ncol]= show(clsf,x,cl,'titles',names);

