function mdademo
% MDADEMO - Demo of Mixture Discriminant Analysis
% MDADEMO launch the demo
%
% See also SLDEMOS, STATLEARN

%%%%%%%%%%%%%%%%%%%%%
% the true density
disp('The true density:')
V=[1 .5;.5 .6];
gen=densitycl(...
    {gaussdens('m',[-2;0],'var',V),...
        mixtdens({
            gaussdens('m',[2;0],'var',V),...
            gaussdens('m',[0;2],'var',V)}...
    )})

[x,cl]=rand(gen,400);

%%%%%%%%%%%%%%%%%%%%%
% plot

clf;
colplot(x,cl);
drawnow;

%%%%%%%%%%%%%%%%%%%%%
% MDA definition

mdacl=mixtdenscl(gaussdens,[1,2],'commonparams','S');

%%%%%%%%%%%%%%%%%%%%%
% learning

mdacl=learn(mdacl,x,cl)
disp('The estimated density:')
mdacl=mdacl

%%%%%%%%%%%%%%%%%%%%%
% draw classification frontier
clf;
show(mdacl,x,cl,'contour_densities',1)
title('MDA classification');
