function c = MIXTDENS_EXAMPLE
% MIXTDENS_EXAMPLE - Example of mixture distribution
% c = MIXTDENS_EXAMPLE returns a 3 clusters mixture distribution in 2D
% MIXTDENS_EXAMPLE plots the mixture on a new figure
%
% See also MIXTDENS
%   UNSUPERVISED, STATLEARN

c = mixtdens({...,
        gaussdens('m',[0 0],'var',[1 -1;-1 1.25]),...
        gaussdens('m',[2 0],'var',[.25 .25;.25 .5]),...
        gaussdens('m',[1 2],'var',[.25 -.25;-.25 1.25]),...
    },'p',[.5 .3 .2]);

if nargout==0
    figure
    x = rand(c,300);
    show(c,x);
end