function bec = bec_score(c,x,cl)
% BEC_SCORE - Bayesian Entropy Criterion
%
% bec = bec_score(c,x,cl)
% This is the BIC criterion applied on the conditional log-likelihhod instead 
% of the joint probability
%
% See also BIC_SCORE, DENSITYCL/N_PARAMS
%    DENSITYCL, SUPERVISED, STATLEARN

dens = densitycl2mixtdens(c);
dens = set(dens,'knownp',0);
dens = learn(dens,x);

bec = -(loglik(c,x,cl)-loglik(dens,x));
