function val = compute_loss(theta,c,x,cl,lambda)
%COMPUTELOSS compute the negative penalized loglikelihood of a density classifier
%
%   val = computeloss(c,theta)
%   c : object of class 'classifier'
%   theta : vector of parameters
%   val : value of the penalized loglikelihood

[n,d] = size(x);
pmin = 1e-10;

c = subsasgn(c,struct('type','.','subs','params'),theta);
prob = proba_class(c,x,lambda);
K = size(prob,2);
b = prob(sub2ind([n,K],1:n,cl'))'+pmin;
val =  -sum(log(b));