function mxt = DENSITYCL2MIXTDENS(c)
% DENSITYCL2MIXTDENS - Distributions of a classifier based on class-conditional densities
% mxt = DENSITYCL2MIXTDENS(c)
%
% See also DENSITYCL, MIXTDENS, CLASSIFIER, SUPERVISED, STATLEARN

K=getnbcl(c);
dens ={};
p=[];

for i=1:K
    if strcmp(class(c.densities{i}),'mixtdens')
        temp =getdensities(c.densities{i});
        dens = {dens{:},temp{:}};
        p=[p,c.p(i)*get(c.densities{i},'p')];
    else
        dens = {dens{:},c.densities{i}};
        p=[p,c.p(i)];
    end
end
mxt = mixtdens(dens,'p',p,'commonparams',c.commonparams);