function st = display(c)
%DISPLAY fonction of the densitycl object

K=getnbcl(c);
d=getdim(c);

if isempty(K) | K==0;
    st = sprintf('Empty densitycl object\n')
    dens = c.densities;
    if ~isempty(dens)
        if iscell(dens)
            dens=dens{1};
        end
        st = [st,sprintf('Incorporated densities are %s objects',class(dens))]; 
    end
else
    if isempty(d)
        d=0;
    end
    st=sprintf('densitycl classifier object in dimension %d\n',d);    
    if c.knownp
        st = [st,'  the proportions are known\n']; 
    end
    if ~isempty(c.commonparams)
        st=[st,'  constrained parameters: ' c.commonparams '\n'];
    end
    for k=1:K
        st=[st,'  Class ' num2str(k) ' (' num2str(c.p(k)*100,3) '%%): '];
        st=[st, strrep(display(c.densities{k}),'\n','\n    ')];
        if k<K
            st=[st '\n'];
        end
    end
end

if nargout<1
    disp(sprintf([st '\n']));
end
