function b = getparams(a)
%GETPARAMS gets the vector of parameters for the density
%
% b = getparams(a) gives a vector of parameters built by concatenating the
% parameters of each of the K classes.
% if the member 'optimprop' of the densitycl object a is non-zero, then the
% last K-1 parameters are the log-odds of the groups probabilities.

K=getnbcl(a);
dens = a.densities;
if isempty(a.commonparams)
    b = [];
    params = getparams(dens{1});
    L = length(params);
    for l=1:K
        v = getparams(dens{l});
        b=[b;v];
    end
else
    [comparams,b] = getparams(dens{1},a.commonparams);
    nbcomparams = length(comparams);
    for k=2:length(dens)
        temp=getparams(dens{k});
        b = [b;temp(1:end-nbcomparams)];
    end        
    b = [b;comparams];    
end         

if ~a.knownp
    p = a.p(:); 
    b = [b;log(p(1:end-1)/p(end))];
end 
