function c = learn_discrim(c,xdat,cl,w,lambda,nitermax)
%c = learn(c,x,cl,w)
%
%	Find the parameters of an densitycl classifier
%   This function is VIRTUAL, that is to say cannot be applied to densitycl object,
%   but to inhereted objects of this class that have the learn_density method
%	c : densitycl object
%	x : data of size nxd where n is the number of data and d their dimension
%  cl : indexes of the groups of the data (supervised learning) between 1 and K or 0 and K-1
%			can be a n*1 vector or a K*1 cell array with vector of indices inside
%  w(optional) : weights of the data (default ones(n,1)/n)



[n,d] = size(xdat);
K = max(cl);


if nargin<4 | isempty(w);
   w = ones(n,1)/n; %equal weights
end

if nargin<5
    nitermax = 10;
end

c=learn(c,xdat,cl,w);

if lambda>0    
    options=optimset('TolX',1e-2);
    options=optimset('LargeScale','off');
    options = optimset(options,'MaxFunEvals',100+200*lambda);
    options = optimset(options,'Display','notify');

    x0 = subsref(c,struct('type','.','subs','params'));
    f = 'computeloss';
    [theta,fval,exitflag,output] = fminsearch(f,x0,options,c,xdat,cl,lambda);
    c = subsasgn(c,struct('type','.','subs','params'),theta);
end

