function np = n_params(c)
% N_PARAMS Number of parameters of a densitycl object
% np = N_PARAMS(c)
%
% See also DENSITYCL, STATLEARN

K=getnbcl(c.classifier);
if ~c.knownp
    np =K-1;
else
    np =0;
end
if ~isempty(c.commonparams)
    [ncommon,nothers] = n_params(c.densities{1},c.commonparams);
    np = np+ncommon+nothers;
    
    for k=2:K
        [ncommon,nothers] = n_params(c.densities{k},c.commonparams);
        np = np + nothers;
    end
else
    for k=1:getnbcl(c.classifier) 
        np = np + n_params(c.densities{k});
    end
end