function [X,y] = rand(c,n,oneforeachclass)
%RAND random labelled samples generation
%
%[X,y] = rand(c,n,oneforeachclass)
%   c is a densitycl object that is used to generate random class labels
%   and then random predictors values according to the class-conditionnal
%   densities   
%   n is the numbers of samples to genrate (1 by default). It corresponds
%   to the number of rows of the outputs X and y
%  oneforeachclass is 0 by default. If set to 1, it gives a least one label
%  in each class (n must be greater than the number of classes)


if nargin<3
    oneforeachclass = 0;
end

y = multinornd(c.p,n,1,oneforeachclass);

dens = c.densities;
X=zeros(n,getdim(dens{1}));

for k=1:length(c.p);
   ind = find(y==k);
   X(ind,:) = rand(dens{k},length(ind));
end

