function a = setparams(a,val)
%SETPARAMS Sets the vector of parameters for the density
%
% The order in wich the parameters have to be set is the same as the
% 'getparams' function
%
%See also SETPARAMS
dens = a.densities;
K=length(dens);
pos = 1;
val=val(:);
if isempty(a.commonparams)
    for l=1:K
        densl = dens{l};
        params = getparams(densl);
        np = length(params);
        val(pos:pos+np-1);
        dens{l}=setparams(densl,val(pos:pos+np-1));
        pos = pos+np;    
    end
    a.densities = dens;      
    if a.knownp
        explogodds = exp(val(end-K+2:end));
        a.p = [explogodds(:);1]'/(1+sum(explogodds));
    end
else    
    pos=1;
    for l = 1:K
        [nbcomparams,np] = n_params(dens{l},a.commonparams);
        dens{l} = setparams(dens{l},val(end-nbcomparams+1:end),a.commonparams,val(pos:pos+np-1));
        pos=pos+np;
    end    
    a.densities = dens;
    if a.knownp
        explogodds = exp(val(pos:pos+K-1));
        a.p = [explogodds(:);1]'/(1+sum(explogodds));    
    end
end