function show_densities(c,varargin)
% show_densities(c)
% 
%   Draw density contours of the classifier

m_shading = 'faceted';
m_mode = 'contour'; 
m_linewidth =1;
m_range=[];
m_projmat = [];

if nargin > 1
    args = varargin;
    nargs = length(args);
    for i=1:2:nargs
      switch args{i}
        case 'shading',    m_shading = args{i+1}; 
        case 'mode',    m_mode = args{i+1}; 
        case 'LineWidth',m_linewidth = args{i+1};
        case 'range',m_range = args{i+1};
        case 'projmat',m_projmat = args{i+1};
        otherwise, 
            error(['invalid argument name ' args{i}]);       
      end
   end
end
if isempty(m_projmat)
    X = rand(c,1000);
    [var,m_projmat] = reducedim(X'*X,2);
end

for k = 1:length(c.densities)
    hold on
    dens = c.densities{k};
    show(dens,'mode',m_mode,'colormap',cmap(k),'shading',m_shading,'factor',c.p(k),'projmat',m_projmat,'LineWidth',m_linewidth,'range',m_range);
end