function c=knn(varargin)
%KNN K-Nearest Neighbors classifier object
%
% c=knn creates a 1-Nearest Neighbors classifier
%
% c=knn(K) or c=knn('nbn',K)
% creates a K-Nearest Neighbors classifier
%
% c=knn(...,'x',x,...) set the training data points
% c=knn(...,'cl',cl,...) set the labelled data points
nbn=1;
x=[];
cl=[];

if ~isempty(varargin) & ~isstr(varargin{1})
    nbn = varargin{1};
    varargin=varargin(2:end);
end

%%% PARAMETERS MANAGEMENT
for i=1:2:length(varargin)
    if ~isstr(varargin{i}) | ~exist(varargin{i},'var')
        error(['Invalid parameter ' varargin{i}]);
    end
    eval([varargin{i} '= varargin{i+1};']);
end
%%%

s = struct(...    
    'nbn',nbn,...
    'x',x,...
    'cl',cl);

c = class(s,'knn',classifier);
