function c = learn(c,x,cl)
%LEARN learn LDA classifier
% 
% c = learn(c,x,cl) learns the parameters of an LDA classifier
%
%See also STATS, CLASSIFIER, CLASSIFY

c.x=x;
c.cl=cl;
K = max(cl);
c.classifier = setnbcl(c.classifier,K);
[n,d]=size(x);
c=setdim(c,d);
z = zeros(n,K);
z(sub2ind([n,K],(1:n)',cl)) = 1;
if ~c.knownp | isempty(c.p)
    c.p = sum(z);
    c.p=c.p./sum(c.p);
end
