function c = learn(c,x,cl)
%LEARN learn Loglin classifier (Linear Logistic discrimination) 
%c = learn(c,x,cl)
%
% Uses Newton-Raphson algorithm
%
% See also classifier, LDA, DensityCl, 

[n,d] = size(x);
K = max(cl);
c = setdim(c,d);
c = setnbcl(c,K);

if K==2
    y01 = 2-cl;
    c.beta=glmfit(x, [y01 ones(n,1)], 'binomial');
else
    error('linear logistic regression not yet implemented for more than 2 clusters');
end
