function prob = proba_class(c,x)
%PROBA_CLASS Probabilities of the classes given the covariates
%
%   prob = proba_class(c,x) 
%   Gives the probabilities in the vector prob of size nxK of the different classes.
%   K in the inner attribute of the base object classifier that gives the number of classes
%   x must be a matrix where each of its n rows corresponds to a data

[n,d] = size(x);
K=getnbcl(c);
prob = zeros(n,K);
prob(:,1) = 1./(1+exp(-(ones(n,K-1)*c.beta(1,:) + x*c.beta(2:end,:))));
prob(:,end) = 1-sum(prob(:,1:end-1),2);
