function c=mixtdenscl(dens,nclust,varargin)
%mixtdenscl Mixture of densities classifier
% 
% c=mixtdenscl(dens,nclust) creates a mixtdenscl object.
%
% mixtdenscl objects overload densitycl objects. Different model sizes can
% be defined in nclust.
%
% c=mixtdenscl(dens,nclust,'lambda',l)
% the GDT parameter lambda is set to l

lambda = 0;    
commonparams = [];
if nargin<2
    nclust=1;
end

%%% PARAMETERS MANAGEMENT
for i=1:2:length(varargin)
    if ~isstr(varargin{i}) | ~exist(varargin{i},'var')
        error(['Invalid parameter ' varargin{i}]);
    end
    eval([varargin{i} '= varargin{i+1};']);
end
%%%

if nargin<1
    dens=gaussdens;
end

K = length(nclust);
densities = cell(1,K);

s = struct('commonparams',commonparams);
for i=1:K;
    densities{i} = mixtdens(dens,nclust(i));
end
c = class(s,'mixtdenscl',densitycl(densities,varargin));    


