function [lval,grad] = logvalue(c,x)
%LOGVALUE gives the log-density and parameters gradient of samples
%
%[lval,grad] = logvalue(c,x)


[n,d] = size(x);

xc  = (x - repmat(c.m',n,1));
xcc  = xc*c.nu;
ss = sum(xcc.^2,2);

lval = d*log(c.nu/sqrt(2*pi)+eps) - ...
                .5*ss;
if nargout>1
    grad = [xcc*c.nu, (ones(n,1)*d - ss)/c.nu];
end


