function dens = mixcommonparams(dens1,otherdens,nbcommonparams,prop)
%MIXCOMMONPARAMS mix the common parameters of densities
%
% dens = mixcommonparams(dens1,nbcommonparams,otherdens)
% dens1 : density object
% nbcommonparams : unused (for compatibilty).
% prop : proportions (weights for each 
% otherdens is a cell array of densities
% dens : cell array of resulting densities
%
% used in EM algorithm (method learn)

dens = {dens1,otherdens{:}};
ndens = length(dens);
vecnu = zeros(1,ndens);
for k=1:ndens
    vecnu(k) = dens{k}.nu;
end

nucommon = 1/sqrt((sum(prop.*vecnu.^(-2))));

for k=1:ndens
    dens{k}.nu = nucommon; 
end
