function c = set(c,varargin)
%SET Set the parameters of a density
%
% a = set(a,'param_name',V)
% set the parameter 'param_name' to te value V.
% for example a=set(gaussdens,'m',1) creates a gaussian density with mean 1.
%
%See also GAUSSDENS/SET, DENSITY/GET

if ~isempty(varargin) & iscell(varargin{1})
    varargin=varargin{1};
end

d=getdim(c.density);

for i=1:2:length(varargin)
    switch varargin{i}
        case 'var'
            c.nu = 1./sqrt(varargin{i+1}(1,1));
            if isempty(c.m)
                c.m=zeros(getdim(c),1);
            end
        case 'm'
            c.m = varargin{i+1}(:);
            d=length(c.m);
            if isempty(c.nu)
                c.nu=1;
            end
            c=setdim(c,d);            
        otherwise
            error(['invalid parameter ' varargin{i}]);
    end    
end

