function [lval,grad] = checkderivatives(c,x)

[n,d] = size(x);
dec = 1e-9;

lval = logvalue(c,x);

    p0 = getparams(c);
    np = length(p0);
    grad = zeros(n,np);
    for i=1:np     
        par = p0;
        par(i)=par(i)+dec; 
        c=setparams(c,par);
        grad(:,i) = (logvalue(c,x) - lval)/dec;
    end

if check
    [lval1,grad1] = logvalue(c,x);
    if abs(lval1-lval)>10*sqrt(eps)
        disp('evaluation of the logarithm is false');
    else
        disp('log-density seems to be OK');
    end
    
    falsegrad = find(abs(sum(abs(grad1-grad),1))>n*10*sqrt(dec));
    if ~isempty(falsegrad)
        disp(['evaluation of the parameters ' num2str(falsegrad) ' is false']);
    else
        disp('gradient seems to be OK');
    end
end

%if nargout==0
    clear lval grad
    %end