function g = DENSITY2GAUSSDENS(c)
%DENSITY2GAUSSDENS
%
% g = DENSITY2GAUSSDENS(c) returns a gaussian distribution with the 
% mean and variance of c
%
% Example
% >> b=balldens('m',[7,9],'var',2) %the variance is constrained to be proportional to the identity
% 
% balldens density:
% m'  = [7 9]
% var = 2*Id
% 
% >> g=density2gaussdens(b) %the variance is now full. Try to learn the 2 densities on training data and see the differences
% gaussdens density:
% m'  = [7 9]
% var = [2 0
%        0 2]
%
% See also DENSITY/LINEARTRANSFORM, UNSUPERVISED, STATLEARN

[m,v] = stats(c);
g = gaussdens('m',m,'var',v);
