function st = display(c)
%DISPLAY show informations of the density
%
% display(c) displays the informations on the standard output
%  
% st = display(c) does not display but returns the information 
% string in st
%
%See also DENSITY


if strcmp(class(c),'density')
    st = 'density object';
else
    st=[class(c) ' density:\n'];
    s=struct(c);
    fld = fieldnames(s);
    nf = length(fld)-1;
    for i=1:nf;
        val = getfield(s,fld{i});
        sz=size(val);
        if sum(sz>1)>1;
            temp = strrep(mat2str(val,3),';',['\n' repmat(' ',1,nf+3)]);
        else
            temp = mat2str(val,3);
        end
        st=[st fld{i} ' = ' temp];        
        if i<nf
            st=[st '\n'];
        end
    end
end

if nargout<1
    disp(sprintf([st '\n']));
end
    