function [vindiv,vcommon] = getparamsfamily(dens,densrem)
%GETPARAMSFAMILY Vector of parameters for a set of diagdens objects
%
% [vindiv,vcommon] = GETPARAMSFAMILY(dens,densrem)
% returns a pxK matrix vindiv of individual parameters 
% and a vector vcommon of common paramters. dens is the first diagdens object, densrem are 
% the K-1 remaining diagdens
%
% See also DIAGDENS/SETPARAMSFAMILY
% DIAGDENS/GETPARAMS, STATLEARN, UNSUPERVISED, DENSITY/ML_LEARN

vcommon = [];

K = length(densrem)+1;
par = getparams(dens);
p = length(par);
vindiv = zeros(p,K);
vindiv(:,1) = par;
for k=2:K
    vindiv(:,k) = getparams(densrem);
end
