function c=LINEARTRANSFORM(c,s)
%LINEARTRANSFORM Linear transformation of a multidimensional distribution
%
% c=LINEARTRANSFORM(c,s) scale the distribution by a factor s
%
% c=LINEARTRANSFORM(c,S) with S a matrix of size(dxd), applies a linear transformation 
% defined in the matrix S.
%
% c=LINEARTRANSFORM(c,V) with V is a matrix (or vector) of size(dxr), with r<d, 
% performs a projection of the density on the vectors defined by the columns of V
%
% See also GAUSSDENS/LINEARTRANSFORM, DENSITY/TRANSLATE, DENSITY/LINEARTRANSFORM, MLDIVIDE,
%   DENSITY, UNSUPERVISED, STATLEARN


c=density2gaussdens(c);
c=lineartransform(c,s);
warning(['the distribution of type ''' class(c) ''' has changed to a full covariance matrix']);

