function h=multshow(c,dens,varargin)
%MULTSHOW show multiple density objects
%
% show(density,{c1,c2,...},x)
% multiple density views in subplots with data in x
%
% h=show(density,{c1,c2,...},x)
% return cellarry of handles of the subplots
  
n=length(dens);
li = ceil(sqrt(n));
col = ceil(n/li);
titles=cell(1,n);
x=[];

if ~isempty(varargin) & isnumeric(varargin{1})
    x=varargin{1};
    varargin=varargin(2:end);
end

while length(varargin)>=2
    switch(varargin{1})
        case 'titles'
            titles = varargin{2};
        otherwise
            break
    end
    varargin=varargin(3:end);
end

for i=1:n
    subplot(li,col,i)
    h{i}=show(dens{i},x,varargin);
    title(titles{i});
end
