function h=show1(c,x,varargin)
%SHOW Plot a 1-dimensional density (or a projection on 1-D subspace)
%
% h=show1(c)
%
% h=show1(c,'argname',argvalue,...)
%

margin = 0.3;
color=[.5 .5 .5];

if isstr(x)
    x=[];
    varargin={x,varargin{:}};
elseif nargin>2 & iscell(varargin{1})
    varargin=varargin{1};
end


%%% PARAMETERS MANAGEMENT
lineargs={};
for i=1:2:length(varargin)
    if ~isstr(varargin{i}) | ~exist(varargin{i},'var')
        lineargs = varargin(i:end);
        break
    end
    eval([varargin{i} '= varargin{i+1};']);
end
%%%

h=[];

if ~isempty(x)
    lims = [min(x);max(x)];
    lims = lims+margin*[-1;1]*diff(lims);
    h = [h;line(x,0,'Color',color,'Marker','.')];
else
    [m,v] = stats(c);
    lims = m + 4*sqrt(v)*[-1;1];
end

nc=200;
xp = (0:nc)'/nc*(lims(2,1)-lims(1,1))+lims(1,1);            
yp = value(c,xp);

h=[h;line(xp,yp,'Color',color,'LineStyle','-','Marker','none','LineWidth',3)];
set(h(end),lineargs(1:2:end),lineargs(2:2:end));

if nargout<1
    clear h
end