function h=show3(c,varargin)
%SHOW show the density object on a 2D or 3D graph
%
% H=show(c,...)
% options by pairs:
% 'lev': quantile of the isosurfaces
% 'grid': show a transparent grid of the isosurface
% 'color': color of the patch


lev = [.1];
x=[];
grid=0;
color = [1 0 0];
show_points = 1;

%%% PARAMETERS MANAGEMENT
if ~isempty(varargin) & iscell(varargin{1}),varargin=varargin{1};end
for i=1:2:length(varargin)
    if ~isstr(varargin{i}) | ~exist(varargin{i},'var')
        error(['Invalid parameter ' varargin{i}]);
    end
    eval([varargin{i} '= varargin{i+1};']);
end
%%%

h=[];


if c.d ~= 3
    error('show3 shows only 3-dimensional data');
end

if ~isempty(x);
    hold on
    h=[h;colplot(x)];
else
    x = rand(c,300);
end

if grid
    nc = 15;
else
    nc = 30;
end
lims = [min(x);max(x)];
margin = 0.1;
lims = lims+margin*[-1;1]*diff(lims);
xp = (0:nc)/nc*(lims(2,1)-lims(1,1))+lims(1,1);
yp = (0:nc)/nc*(lims(2,2)-lims(1,2))+lims(1,2);
zp = (0:nc)/nc*(lims(2,3)-lims(1,3))+lims(1,3);

[mx,my,mz] = meshgrid(xp,yp,zp);
v = reshape(logvalue(c,[mx(:),my(:),mz(:)]),size(mx));

p=[];
for i=1:length(lev)
    l = quantile(logvalue(c,x),lev(i));
    p = [p;patch(isosurface(mx,my,mz,v,l))];
    isonormals(mx,my,mz,v, p(end));     
end
%daspect([1 1 1])

if grid
    for i=1:length(lev)
        set(p(i), 'FaceColor', 'none', 'EdgeColor', color/i,'FaceAlpha',0);
    end
    view(3)
%    lighting phong
else
    set(p, 'FaceColor', color, 'EdgeColor', 'none');
    view(3)
    camlight right
%    camlight left
    lighting phong
end

%axis off


h = [p;h];

if nargout<1
    clear h
end