function v = value(c,x)
% VALUE - Density value on data points
%
% v = VALUE(c,x)
% c is a density object
% x is the nxd matrix of data points
% v is a nx1 vector of positive values
% This function calls only the LOGVALUE function and take the exponential of it.
% It enables to either define VALUE or LOGVALUE function when a new density object 
% is created.
%
% See also VALUE, LOGVALUE, DENSITY/VALUE, DENSITY, UNSUPERVISED, STATLEARN

v = exp(logvalue(c,x));
