function  [params,others] = getparams(c,paramsname)
%GETPARAMS gets the vector of parameters for the diagdens density
%
% params = getparams(c) returns a vector of all the parameters of the distribution. 
% 'params' first gives mean parameters (1 for each dimension) and
% then the inverse of the  squared root of the diagonal elements of the covariance matrix.
% NB: the function 'n_params(c)' corresponds to length(getparams(c)) but this last solution is slower. 
%
% See also DIAGDENS, DIAGDENS/SETPARAMS, DENSITY/SETPARAMS, DENSITY/MLOPT

params = [c.m;c.isd(:)];
