function [lval,grad] = logvalue(c,x)
%LOGVALUE gives the log-density and parameters gradient of samples
%
%[lval,grad] = logvalue(c,x)


[n,d] = size(x);

xcc  = (x - repmat(c.m',n,1)).*(ones(n,1)*c.isd(:)'+1e-320);

lval = -d/2*log(2*pi) + sum(log(abs(c.isd)+1e-320)) - ...
                .5*sum(xcc.^2,2);


