function [np,npbis] = n_params(c,parname);
%N_PARAMS Number of parameters that define the distribution
%
% np = n_params(c);
%   c is an object of class density
%   Gives the number of parameters of the density
%
% Special:
% to handle the cases where parameters are linked with other densities,
% the function DIAGDENS/MIXCOMMONPARAMS needs that function.
% np = n_params(c,paramsname); 
% params name can be either 'm' or 'var', np then return the length of this specific parameter
% [np,npother] = n_params(c,paramsname); 
%   also return the number of parameters not included in paramsname
%
% See also DIAGDENS, DIAGDENS/MIXCOMMONPARAMS, DENSITY/MIXCOMMONPARAMS


d = getdim(c.density);

npm = d;
npS = d;

if nargin<2
    np = npS+npm;
    npbis=0;
else
    switch parname
        case 'var'
            np = npS;
            npbis = npm;
        case 'm'
            np = npm;
            npbis = npS;
        otherwise 
            error(sprintf('parameter %s is not defined',parname));
    end
end