function r=rand(c,n)
%RAND Give a random number generated according to the density
%
% x=rand(c)
% where c is a gaussian density with diagonal covariance matrix returns
% a row vector with the values of a random point in the d-dimensional space.
%
%
% x=rand(c,n)
% returns a nxd matrix of random points. GAUSSDENS.
%
% Example:
%  dens = diagdens('m',[1,1],'var',[1 3]);
%  show(dens,rand(dens,100))
%
% See also DIAGDENS, GAUSSDENS/RAND

if nargin<2
    n=1;
end

r = repmat(c.m',n,1) + randn(n,size(c.m,1))./(ones(n,1)*c.isd(:)');
