function [m,v] = stats(c)
%STATS Return the mean and covariance of the distribution
%
% m = stats(c)
% returns the mean of the distribution c.
%
% [m,V] = stats(c)
% returns the mean and the covariance matrix of the distribution c.
%
% this function is not useful for most purposes but is used by various functions
% such as DENSITY/SHOW or DENSITY/RAND, and can be useful when working with
% more complex densities (such as the mixture densities MIXTDENS).
%
% See also DIAGDENS, DENSITY/SHOW, DENSITY/RAND, MIXTDENS.

m = c.m;
v = diag(c.isd.^(-2));
