function [lval,grad,H] = derloglik(c,x,w)
% DERLOGLIK normalized log-likelihood, gradient, and hessian according to parameters
%
% [lval,grad,H] = DERLOGLIK(c,x)
% For fixeddens, this function return null vector grad and matrix H
%
% See also FIXEDDENS, DENSITY, DENSITY/LOGVALUE, DENSITY/LOGLIK
%   UNSUPERVISED, STATLEARN

[n,d] = size(x);

if nargin<3
    w=ones(n,1);
end

lval = loglik(c.inc_dens,x,w);
grad = [];
H=[];