function c=fixeddens(dens)
%FIXEDDENS Create a distribution that cannot be learn (constant)
%
% c=FIXEDDENS(dens)
% returns a density distribution having the same behaviour as dens, exept
% the parameters cannot be learned:
%   - the function LEARN do not change the distribution
%   - the function GETPARAMS returns an empty vector
%   - the function SETPARAMS accept only empty vector
%   - the derivatives according to parameters are null
% 
%
% See also 
% - FIXEDDENS/LEARN, BALLDENS, DIAGDENS, PCADENS, DENSITY, DENSITY/GETPARAMS,
%   DENSITY/SETPARAMS, DENSITY/DERLOGLIKNUMERIC
%   DENSITY/LEARN, GAUSSDENS/RAND, GAUSSDENS/STATS

if nargin<1
    dens=[];
end
s = struct('inc_dens',dens);
c = class(s,'fixeddens',density);
c = setdim(c,getdim(dens));
