function [lval,grad] = logvalue(c,x)
% LOGVALUE - Log-density and parameters gradient of samples for fixeddens
%
% lval = LOGVALUE(c,x) 
%   returns the log value of the density at points x in a column vector
% 
% [lval,grad] = LOGVALUE(c,x) also returns the gradient according to
% parameters in a nxnp matrix (np in the number of parameters)
%
% See also FIXEDDENS, DENSITY/LOGVALUE, DENSITY, DENSITY/DERLOGLIK, GAUSSDENS/DERLOGLIK
%   UNSUPERVISED, STATLEARN

n=size(x,1);
lval = logvalue(c.inc_dens,x);
grad = zeros(n,0);