function st = display(c)
%DISPLAY show informations of the density
%
% display(c) displays the informations on the standard output
%  
% st = display(c) does not display but returns the information 
% string in st
%
%See also DENSITY/DISPLAY

st='gaussdens density:\n';
st=[st 'm''  = ' mat2str(c.m',3) '\n'];
S = inv(c.R'*c.R);
Sstr = mat2str(S,3);

st=[st 'var = ' strrep(Sstr,';','\n       ')];

if nargout<1
    disp(sprintf([st '\n']));
end
    