function ind = indcommonparams(c,commonparams)
%INDCOMMONPARAMS Indices of the common parameters
%
% ind = INDCOMMONPARAMS(c,commonparams) return a carray of 
% indices containing the individual parameters in carray{1}, and
% the common parameters by groups in carray{2} to carray{end}
%
% For gaussdens, this function returns
%   ind=d:d+length(c.indR)};
% where d is the dimension,
% because the common covariance matrices are in the end of the 
% vector of parameters
%
% See also MIXTDENS/LOGVALUE

ind = (1:length(c.indR))+length(c.m);


