function [np,npbis] = n_params(c,parname);
% N_PARAMS - Number of parameters of the gaussian distribution
%
% np = n_params(c);
%   c is an object of class density
%   Gives the number of parameters of the denstity
% np = n_params(c,paramsname); 
% params name can be either 'm' or 'S', np then return the length of this specific parameter
% [np,npother] = n_params(c,paramsname); 
%   also return the number of parameters not included in paramsname

d = getdim(c.density);

npm = d;
npS = d*(d+1)/2;

if nargin<2
    np = npS+npm;
    npbis=0;
else
    switch parname
        case {'S','var'}
            np = npS;
            npbis = npm;
        case 'm'
            np = npm;
            npbis = npS;
        otherwise 
            error(sprintf('parameter %s is not defined',parname));
    end
end