function c=LINEARTRANSFORM(c,s)
%LINEARTRANSFORM Modify the LINEARTRANSFORM of a gaussian distribution
%
% c=LINEARTRANSFORM(c,s) modify the LINEARTRANSFORM of a distribution by a factor s. 
% The mean and the standard deviation of the gaussian distribution 
% are multiplied by s.
% 
% See also DENSITY/TRANSLATE, DENSITY/LINEARTRANSFORM, DENSITY, UNSUPERVISED, STATLEARN

c.m = s * c.m;
c.R = inv(s * inv(c.R));
