function a = setparamsfamily(dens,K,vindiv,vcommon,name)
%SETPARAMSFAMILY Set the vector of parameters for a set of diagdens objects
%
% a = SETPARAMSFAMILY(dens,vindiv,vcommon)
% return a cellarray of diagdens objects with the parameters set according to
% the individual pxK matrix vindiv and the vetor of common parameters vcommon.
%
% See also DIAGDENS/GETPARAMS, STATLEARN, UNSUPERVISED, DENSITY/ML_LEARN

a=cell(1,K);
d=getdim(dens);

if nargin<4 | isempty(vcommon)
    nip = d*K;
    vcommon = vindiv(nip+1:end);
    vindiv = reshape(vindiv(1:nip),[d,K]);
end
dens.R(dens.indR) = vcommon;

for k=1:K
    dens.m = vindiv(:,k);
    a{k} = dens;
end
