function c = indepbernoulli(varargin)
% INDEPBERNOULLI - Create a multivariate bernoulli distribution (independent covariates)
%
% c = INDEPBERNOULLI
% returns a empty distribution
% 
% c = INDEPBERNOULLI('tau',T) returns a distribution object
%   having proportions parameters set to the values in T
%
%
% See also DIAGDENS, GAUSSDENS, BALLDENS, PCADENS, DIAGDENS/LEARN, DENSITY


s = struct('tau',[]);
c = class(s,'indepbernoulli',density);

if nargin>0
    c=set(c,varargin);
end