function [lval,grad] = logvalue(c,x)
%LOGVALUE gives the log-density and parameters gradient of samples
%
%[lval,grad] = logvalue(c,x)


[n,d] = size(x);
M = ones(n,1)*c.tau(:)';
prob = 1 + 2*M.*x - M -x;
lval = -ones(n,1)/eps;
ind = find(~sum(prob==0,2));
lval(ind) = sum(log(prob(ind,:)),2);

