function c = set(c,varargin)
% SET - Set the parameters of a density
%
% a = set(a,'tau',T)
%
% See also GAUSSDENS/SET, DENSITY/GET

if ~isempty(varargin) & iscell(varargin{1})
    varargin=varargin{1};
end

d=getdim(c.density);

for i=1:2:length(varargin)
    switch varargin{i}
        case 'tau'
            c.tau = varargin{i+1};
            c=setdim(c,length(c.tau));
        otherwise
            error(['invalid parameter ' varargin{i}]);
    end    
end


