function cl = clusters(c,x,varargin)
%CLUSTERS classify the data into clusters of the mixture
%   

[n,d] = size(x);

probas = 0;

K = length(c.p);

nargs = length(varargin);

if nargs>0 & iscell(varargin{1})
    varargin = varargin{1};
    nargs = length(varargin);
end
for i=1:2:nargs
    switch(varargin{i})
        case 'probas',  probas = varargin{i+1};
        otherwise, 
            error(['invalid argument name ' varargin{i}]);       
    end
end

cl = zeros(n,K);
for k=1:K    
    cl(:,k) = value(c.densities{k},x);
end


if ~probas
    [null,cl] = max(cl,[],2);
end