function c=mixt2mixtgauss(c)
% MIXT2MIXTGAUSS
% 
% Mgauss = mixt2mixtgauss(M)
% Generate a mixture of gaussian distributions from any mixture density
% Each cluster of the input mixture M gives a gaussian cluster in Mgauss with the same 
% mean and covariance as the original cluster.
% Note that this do not change the distribution if the original mixture M has 
% gaussian-type clusters, such that BallDens, PCADens or DiagoDens.
%
% NB: this function is used by the dimensionality reduction functions

for k=1:length(c.p)
   [m,v] = stats(c.densities{k});
   c.densities{k} = gaussDens('m',m,'S',v');
end
