function r=rand(c,n)
% RAND  Gives a random number generated according to the mixture density
% r=rand(c,n)
% c : density Object
% n : number of samples
% r : random matrix of size n x d


K = length(c.p);
g = multinornd(c.p,n);
r = zeros(n,getdim(c));

for k=1:K
    ind = find(g==k);
    r(ind,:) = rand(c.densities{k},length(ind));
end    
