function [c,crem,props] = removeclusters(c,Ktorem)
% REMOVECLUSTERS - Remove clusters from a mixture distribution
% 
% c = removeclusters(c,Ktorem)
%
% [c,crem,prop] = removeclusters(c,Ktorem)
%
% See also MIXTDENS, DENSITY,
%   CLUSTERING, UNSUPERVISED, STATLEARN
K = length(c.densities);

crem = c;

remain = setdiff(1:K,Ktorem);
c.densities = c.densities(remain);
c.p = c.p(remain);
p0 = sum(c.p);
c.p = c.p/p0;

if nargout>1
    crem.densities = crem.densities(Ktorem);
    crem.p = crem.p(ktorem);
    p1 = sum(crem.p);
    crem.p = crem.p/p1;    
    prop = [p0 p1]/(p0+p1);
end