function c2 = select_nb_clust(c,x,w,varargin)
%SELECT_NB_CLUST find the optimal number of clusters
%
% c2 = select_nb_clust(c,x)
% select the number of clusters thanks to the training data x,
% and return c2, a MixtDens object with the selected number of clusters
% (getnbcl(c2) will return this number)
%
% c2 = select_nb_clust(c,x,w)
% set the weights one the data
%
% c2 = select_nb_clust(c,x,w,'display',1)
% display the computation results
%

display = 0;

%%% PARAMETERS MANAGEMENT
for i=1:2:length(varargin)
    if ~isstr(varargin{i}) | ~exist(varargin{i},'var')
        error(['Invalid parameter ' varargin{i}]);
    end
    eval([varargin{i} '= varargin{i+1};']);
end
%%%

[n,d] = size(x);
if nargin<3 |isempty(w)
    w=ones(n,1);
end

maxK= max(floor(n/(1+n_params(c.densities{1}))),2);
dens = cell(1,maxK);
bic=nan*zeros(1,maxK+1);

for k=1:maxK;
    dens{k} = learn(mixtDens(c.densities{1},k,'dim',d,'commonparams',c.commonparams),x,w,{'display',1,varargin{:}});
    bic(k+1) = bic_score(dens{k},x,w);
    if display
        disp([num2str(k) ' groups: bic = ' num2str(bic(k+1))]);
    end
    if mean(bic(max(1,k-2):k))<bic(k+1);
        break;
    end    
end
[null,k]=min(bic);
c=dens{k-1};    
if display
    disp([num2str(k-1) ' groups selected']);
end
