function a = setparams(a,val)
%SETPARAMS sets the vector of parameters for the density

val=val(:);
dens = a.densities;
K = length(dens);
if isempty(a.commonparams)
    for l = 1:K
        np = length(getparams(dens{l}));
        dens{l} = setparams(dens{l},val(1+(l-1)*np:l*np));
    end    
    a.densities = dens;    
    explogodds = exp(val(end-K+2:end));
    a.p = [explogodds(:);1]'/(1+sum(explogodds));
else
    a.densities = setparamsfamily(dens{1},K,val(1:end-K+1),[],a.commonparams);
    explogodds = exp(val(end-K+2:end));
    a.p = [explogodds(:);1]'/(1+sum(explogodds));    
end