function c = learn(c,x,w)
%LEARN Parameter estimation
%
% See also STATLEARN

[n,d] =size(x);
c=setdim(c,d);
r = size(c.proj_mat,2);

if nargin<3
    w = ones(n,1)/n;
end

counts = sum(w);
c.m	= sum(x.*repmat(w,1,d))'/counts;
xc  = x - repmat(c.m',n,1);
S = xc'*(repmat(w,1,d).*xc)/counts + 1e-320*eye(d);

if r>0
    options.disp = 0;
    [c.proj_mat,D] = eigs(S,r,'LM',options);    
    c.lambda = diag(D);
    c.noise = (sum(diag(S))-sum(c.lambda))/(d-r);
    c.lambda = c.lambda - c.noise;
else
    c.noise = mean(diag(S));
    c.proj_mat = [];
    c.lambda = [];
end

