function logproba = logvalue(c,x)
%LOGVALUE logarithm of the density value for pcadens object
%
% logproba = logvalue(c,x)
%
% See also PCADENS, DENSITY, DENSITY/LOGVALUE, UNSUPERVISED, STATLEARN
[n,d] = size(x);
[d2,r] = size(c.proj_mat);

xc  = (x - repmat(c.m',n,1));

if r == 0
    logproba = -d/2*log(2*pi*c.noise) - .5/c.noise*sum(xc.^2,2);
else
    R = c.proj_mat.*(ones(d,1)*(1./sqrt(1+c.noise./c.lambda(:)')));
    xcc = xc*R;
    logproba = -(d*log(2*pi) + sum(log(c.lambda + c.noise)) + (d-r)*log(c.noise))/2 - ...
        .5/c.noise*(sum(xc.^2,2)-sum(xcc.^2,2));
end
