function proba = value(c,x)
%VALUE Value of the density at some data points
%
% proba = value(c,x)
%
% See also PCADENS, DENSITY, DENSITY/VALUE, UNSUPERVISED, STATLEARN

[n,d] = size(x);


xc  = (x - repmat(c.m',n,1));
if c.r == 0
    proba = (1/sqrt(2*pi*c.off_var))^d * exp(-.5/c.off_var*sum(xc.^2,2));
else
    xproj = xc*c.proj_mat;
    proba = 1/(2*pi)^(d/2)/sqrt((prod(c.lambda)*c.off_var^(d-c.r)+1e-320))*...
        exp(-.5*(sum(xc.^2,2)/(c.off_var)+sum(xproj.^2.*(ones(n,1)*(1./c.lambda-1/c.off_var)),2)));
end
