function c=densslice(dens,varargin)
% DENSSLICE Slice of a multidimensional density (for plotting purposes)
%

if nargin<1
    s = struct('inc_dens',[],'proj_mat',[],'offset',[]);
    c = class(s,'slicedens',density);
    return
end


r = [];
proj_mat=[];
offset=[];
d=[];



%%% PARAMETERS MANAGEMENT
for i=1:2:length(varargin)
    if ~isstr(varargin{i}) | ~exist(varargin{i},'var')
        error(['Invalid parameter ' varargin{i}]);
    end
    eval([varargin{i} '= varargin{i+1};']);
end
%%%

if ~isempty(r)
    dens = setdim(dens,r);
end

if ~isempty(proj_mat)
    [d,r] = size(proj_mat);
    off_var=.1;
    offset=zeros(d,1);
end


s = struct('inc_dens',dens,'proj_mat',proj_mat,'offset',offset);
c = class(s,'slicedens',density);

if ~isempty(d)
    c=setdim(c,d);
end

