function r = rand(c,n)
%RAND random points generation
%
% r = rand(c,n)
% returns n random points (1 by default)
%

if nargin<2
    n=1;
end

d = getdim(c);
r = getdim(c.inc_dens);

r = rand(c.inc_dens,n)*c.proj_mat' + ones(n,1)*c.offset(:)';

noise = randn(n,d)*(eye(d)-c.proj_mat*c.proj_mat')*sqrt(c.off_var);

r = r+noise;
