function v = value(c,x)
%VALUE returns the density value at somes points
%
% v = value(c,x)
% c: LowDimDens object
% x: nxd-dimensional data
% return the pdf value at the n points x
% 

[n,d] = size(x);
r = getdim(c.inc_dens);

%center the data
xc = x-ones(n,1)*c.offset(:)';

%reduce the dimensionality of the data
xred = xc*c.proj_mat;

%evaluate the density in the r-dimensional space
v = value(c.inc_dens,xred);

%evaluate the gaussian density in the orthogonal space corresponding to the
%off-variance
v = v.*(1/sqrt(2*pi*c.off_var)*exp(-.5*sum((xred*c.proj_mat'-xc).^2,2)/c.off_var)).^(d-r);

