function sz = cellsizes(c,num)
% CELLSIZES Sizes of the elements of a cell array
% 
% SZ = CELLSIZES(C)
%   return a two columns matrix with the number of rows and olumns of each
%   elements of the cell array
%
% Example:
% >> cellsizes({[1 2 3],[1 2;3 4]})
% 
% ans =
% 
%      3     1
%      2     2
%  
% See also CELL, CELLFUN

if nargin<2
    c=c(:)';
    sz = [cellfun('size',c,2)' cellfun('size',c,1)'];
else    
    sz = cellfun('size',c,num)';
end