function M = clustermeans(X,y)
% CLUSTERMEANS - Returns the means of the clusters for labelled datei
%
% M = clustermeans(x,cl)
% x is the nxd inputs matrix
% cl is a vector of indices corresponding to classes (from 1 to K)
% M is a Kxd matrix of means
%
% M = clustermeans(carray)
% the inputs are specified in cell array of length K
%
% Used by LDAPLOT


if iscell(X)
    celldata=  X;
    [X,y] = cell2lbl(X);
else
    celldata = lbl2cell(X,y);
end

K = length(celldata);

for i=1:K
    if isempty(celldata{i})
        error(['class ' num2str(i) ' is empty']);
    end
    M(i,:) = mean(celldata{i},1);        
end
