function [x,cl] = cell2mat_and_lbl(c)
% CELL2MAT_AND_LBL - Combine a cell array of matrices into one matrix and labels
%
% [M,L] = CELL2MAT_AND_LBL(C) M is the concatenation of the elements of the cell array by rows,
%   L is a nx1 vector containing index values corresponding to the index of the cells
%
% example
%   c = {[1 2;3 4] [10 11] [4 5; 6 7 ; 55 10] [8 9]};
%   [x,cl]=cell2mat_and_lbl(c)
%
% See also CELL2MAT

c = c(:);
x = cell2mat(c);
n=length(c);
cl=ones(size(x,1),1);
pos = size(c{1},1);
for i=2:n
    nn = size(c{i},1);
    cl(pos+(1:nn)) = ones(nn,1)*i;
    pos = pos + nn;
end

