function [xtrain,cltrain,xtest,cltest,r] = cvsplit(x,cl,nfold,r);
% CVSPLIT - Cross-validation split into train and test data
%
% [xtrain,cltrain,xtest,cltest] = cvsplit(x,cl,nfold);
[n,d] = size(x);

if nargin<4 | isempty(r)
    r = randperm(n);
end

if length(nfold)==1
    K=1;    
elseif length(nfold)==2
    K=nfold(2);
    nfold = nfold(1);
else 
    error('nfold must be 1 or 2 element vector')
end

splits = round(n/nfold*(0:nfold));
itrain = [1:splits(K) splits(K+1)+1:n];
xtrain=x(itrain,:);
cltrain=cl(itrain);

itest = [splits(K)+1:splits(K+1)];
xtest=x(itest,:);
cltest=cl(itest);
