function R=cliprect(R1,R2)
%CLIPRECT Clips a rectangle to fit in a window
%
% R=cliprect(R1,R2)
% R,R1 and R2 are rectangles coordinates : [x1,y1;x2,y2]
% the coordinates of R2 are reduced to fit in rectangle R1. Coordinates are
% return in the matrix R. It is unchanged if R2 is inside R1

R(1,:) = max(R1(1,:),R2(1,:));
R(2,:) = max(R(1,:),min(R1(2,:),R2(2,:)));
