function [z,P]=projection(x,A,b,M)
% PROJECTION proje
%
% z=projection(X,A,b,M)
% return the projection of the points x in the rows of the matrix X 
% on the hyperplane Ax=b with the metric induced by the inverse of M
% M is the identity matrix by default
%
% [z,P]=projection(X,A,b,M)
% P is the matrix projection matrix such that z=Pb-(I-PA)x for all column vector x
% See also SHOW_PLANE


[r,d]=size(A);
[n,d] = size(x);

if nargin<3
    b = zeros(r,1);
end
if length(b)==1
    b=b*ones(r,1);
end
if nargin<4
    M = eye(d);
end
b = b(:);
if nargout<=1
    z = x + (ones(n,1)*b'-x*A')/(A*M*A')*A*M;
else
    P = M*A'/(A*M*A');
    z = x + (ones(n,1)*b'-x*A')*P';
end