function C = splitmatrix(M,nums)
% SPLITMATRIX Create a cell array from matrix splitted in given positions
% 
% C = SPLITMATRIX(M,nums) splits rows of M. Each element C{i} 
%   of the cell array C contains nums(i) rows
%
% C = SPLITMATRIX(M,carray) the number of rows selected are equal 
%   to the number of rows of the elements of carray
%
% C = SPLITMATRIX(M,nums)
% 
% See also MERGEPATCHES, CELL, KMEANS

if size(M,1)==1 & length(size(M))==2;
    M=M';
end

if iscell(nums)
    pos = nums;
    n = length(pos);
    nums = zeros(1,n);
    for i=1:n
        if size(pos{i},1)==1 & length(size(pos{i}))==2;
            pos{i}=pos{i}';
        end        
        nums(i) = size(pos{i},1);
    end
end

n = length(nums);
cl = cell(1,n);
pos=0;
for i=1:n
    C{i} = M(pos+(1:nums(i)),:);
    pos = pos + nums(i);
end
