function Y = sum2one(X,roworcol);
%SUM2ONE normalise rows or columns so they sum to one
%
% Y = sum2one(X) devide each row of X by the sum of the row
% Y = sum2one(X,1) same as before
% Y = sum2one(X,2) operates on columns

if nargin<1 | roworcol==1
   Y = X./(ones(size(X,1),1)*sum(X));
else
   Y = X./(sum(X,2)*ones(1,size(X,2)));
end

