function M = vec2triu(v)
%VEC2TRIU converts a vector into an upper triangular matrix
%
% M = vec2triu(v) vec is a d*(d-1)/2x1 vector and M is a dxd matrix
% the first d elements of v are the diagonals elements of M
%
%See also TRIU2VEC

d = fix((sqrt(1+8*length(v))-1)/2);
M = zeros(d);
M(triuind(d)) = v;


