function mat = clustdist(celldata,varargin)
%CLUSTDIST computes the matrix of mahalanobis distances between clusters
%
% M=clustdist(x,cl)
% x: nxd matrix of regressors
% cl: nx1 vector of class indexes

 
if iscell(celldata)
    [X,y] = cell2lbl(celldata);
    labels = 1:length(data);
else
    X = celldata;
    y = varargin{1};
    varargin = varargin(2:end);
    [celldata,labels] = lbl2cell(X,y);
end

K = length(celldata);
[n,d] = size(X);



ind = cell(1,K);
M = zeros(K,size(X,2));

for i=1:K
    if isempty(celldata{i})
        error(['class ' num2str(i) ' is empty']);
    end
    ind{i} = find(y==i);
    M(i,:) = mean(X(ind{i},:));      
end

W = cov(X-M(y,:));
R = chol(inv(W+eye(d)*1e-3))';
Mnew = M*R;
mat = dist2(Mnew);
