function d = multinornd(p,nli,nco,oneforeachclass)
%MULTINORND(p,nli,nco) : multinomial distribution
%
%multinornd(p,nli,nco)
%   p : array of proportions (must be properly normalized, ie sums to 1)
%   nli : number of lines
%   nco : number of column
%   WARNING : this is not the same result as binornd : it gives the index
%   of 1 random draw in each element of the output matrix
%
%multinornd(p,nli,nco,oneforeachclass)
%   oneforeachclass determine if there is at least one data in each class
%   0 by default (corresponding to false
%   1 sets 1 element of each class in the first indices
%   
%See also mnormrnd

if(nargin<2)
        nli = 1;
end
if(nargin<3)
        nco = 1;
end
if(nargin<3)
       oneforeachclass = 0;
end

d = ones(nli,nco);
rnd = rand(nli,nco);
c = cumsum(p);

if oneforeachclass
    rnd(1:size(p,2))=c;
end

for i=1:(size(p,2)-1)
    d = d + (rnd>c(i));
end



