function [m,V] = weightedmeancov(x,w)
%WEIGHTEDMEANCOV weighted mean and covariance of a data set
%
% [m,V] = weightedmeancov(x,w)
% x : nxd matrix where n is the sample size and d is the dimension of the
%   data
% w : vector of weights
% m : mean vector
% V : covariance matrix (biased)

[n,d]=size(x);
w = w/sum(w);
m = sum((w*ones(1,d)).*x)';
xc=x-ones(n,1)*m';
V=(xc.*(w*ones(1,d)))'*x;