function [b,R]=wlsfit(x,y,w)
% WLSFIT -Weighted least squares fit
% [b,R]=wlsfit(x,y,w)
% x : n x d matrix of covariates
% y : target vector of size n
% w : weights
%
% See also SLASH, QR

sw = sqrt(w);
[r c] = size(x);
yw = y .* sw;
xw = x .* sw(:,ones(1,c));
[Q,R]=qr(xw,0);
b = R\(Q'*yw);
