function [name, dir] = basename(string)
% BASENAME Find the base name of a file path
% 
% [name, dir] = BASENAME(string)
%
% See also DETECTIMAGESINDIR, FILESEP

string = convert2sysdir(string);

name = []; 
dir = [];

len = length(string);
if len == 0
    return
end


while string(len)==filesep
    string=string(1:end-1);
    len = len-1;
end
    
i = len;
while i>0
    if string(i)==filesep;
       break
    end
    i=i-1;    
end
name = string(i+1:end);
dir = string(1:i); 

