function newdir = convert2sysdir(dir)
% CONVERT2SYSDIR Make a directory compatible with the system file name
% newdir = CONVERT2SYSDIR(olddir)
%   olddir is a pathname. The function converts the slash charaters '/' to backslash '\' 
%   if isunix is false, and returns it in newdir
%  
%   if isunix is true, the function makes the contrary, that is to say converts the backslashes 
%   '\' to slashes '/'
%
%   This function is usefull when dealing with relative filenames.   
%
% example:
%
% imdir = convert2sysdir('../../../data/images/motorbikes/')
%
% See also BASENAME, REMFNAMEEXT
if isunix
    newdir = strrep(dir,'\','/');
else
    newdir = strrep(dir,'\ ',' ');
    newdir = strrep(newdir,'/','\');
end
