function hist_data(x,cl)
%HIST_DATA histograms of multi-dimensionnal data

[n,d] = size(x);
%set the label of the class starting from 1
cl = cl-min(cl)+1; 
K = max(cl);
nb = 1 + ceil(log(n)*.8);

nli = floor(d/3)+1;
nco = ceil(d/nli);

for i = 1:d
    subplot(nli,nco,i);
    a=min(x(:,i));
    b=max(x(:,i))+1e-10;    
    if fpart(b)==0 & (b-a)<=50
        edges = a:b;       
    else
        edges = (0:nb-1)/(nb-1)*(b-a)+a;
    end
    nbins=zeros(nb,K);
    for k=1:K
        nbins(:,k) = histc(x(find(cl==k),i),edges);
    end
%        bar(edges,nbins,'stacked');
        bar(edges,nbins);
        set(gca,'XLim',[a,b]*((-ones(2)+eye(2)*2)*.15+eye(2)));
end

colormap(winter)