function h=show_multnormpdf(m,S,n,col,beta,type)
%SHOW_MULTNORMPDF diplays a multivariate gaussian distribution
%
%	Draw the contours of multivariate normal distribution in 2D
%	Syntax : show_multnormpdf(m,S,n,col,beta)
%	m		: mean parameter
%	s		: covariance matrix parameter
%	n		: number of circles(optional, 3 by default)
%	col	: color of circles(optional, red by default)
%	beta	: vector of parameters of the 3D plane in which the distribution live(optional)

m=m(:);
if nargin<2
   S=eye(length(m));   
elseif length(m)==1
    m=ones(length(S),1)*m;
end

if nargin<3
   n=2;   
end
if nargin<4
   col=[1 0 0];   
end
if nargin<5
   beta=[0;0;0];
end
if nargin<6
   type='plain';
end
d = length(m);
if length(S)==1
    S = S*eye(d);
end


[V,D] = eig(S);
alpha=[.5 .25 .10 .5 .1 .01 .001];
h=[];
for i=1:n
   dist = sqrt(-log(alpha(i)));
   np = floor(dist*30);
   l = (0:np-1)/(np-1)*2*pi;
   points = repmat(m',np,1)+(dist*[sin(l);cos(l)]'*D*V^(-1));
   z = [ones(np,1) points]*beta;
   if strcmp(type,'line')
        h=[h;line(points(:,1),points(:,2),z,'Color',col,'Marker','none')];
   else
        h=[h;patch(points(:,1),points(:,2),z,col)];
   end
end
   