function h=show_plane(A,b)
%SHOW_PLANE
%
% h=show_plane(A,b)
% Draw the hyperplane defined by A*x=b where A is a 1x2 or 2x3 or 1x3
% matrix

[r,d]=size(A);

if nargin<2
    b = zeros(r,1);
end
b=b(:);
h=[];

if d==2
    if r>1
        warning(['hyperplane of dimension ' num2str(r) cannot be drawn]);return;
    end
    xlims = get(gca,'XLim');
    ylims = get(gca,'XLim');
    if abs(A(2)>eps)
        if abs(A(1))>eps
            y=(b-xlims*A(1))/A(2);
            y=min(max(y,ylims(1)),ylims(2));
            x = (b-y*A(2))/A(1);
            h=[h;line(x,y)];                        
        else
            h=[h;line(xlims,b(1)*[1,1]/A(2))];            
        end
    else
        h=[h;line([1 1]*b(1)/A(1),ylims)];
    end
elseif d==3
    x0 = [0 0 1 1];
    y0 = [0 1 1 0];
    z0 = [0 0 0 0];
    nA = norm(A);
    A = A./nA;
    b = b./nA;    
    M = [1 0 A(1);0 1 A(2);0 0 A(3)]*[x0;y0;z0]
    h=patch(M(1,:),M(2,:),M(3,:),[1 1 1 1],'FaceAlpha',.1);
else
    warning(['dimension ' num2str(d) 'cannot be drawn']);
end
